Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class EARDeployment

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.deployment.EARDeployment

All Implemented Interfaces:
  EARDeploymentMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class EARDeployment
extends org.jboss.system.ServiceMBeanSupport
implements EARDeploymentMBean

An EAR Deployment

Version:
  $Revision: 1.2 $
Author:
  Adrian.Brock
See Also:
  `EARDeployer`

Field Summary
`static String` | `BASE_EAR_DEPLOYMENT_NAME`
`static javax.management.ObjectName` | `EAR_DEPLOYMENT_QUERY_NAME`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`EARDeployment(org.jboss.deployment.DeploymentInfo di)`

Method Summary
`void` | `addMetaData(Object key, Object value)`
`String` | `getJMXName()`
`static String` | `getJMXName(J2eeApplicationMetaData metaData, org.jboss.deployment.DeploymentInfo di)`
`Map` | `getMetaData()`
`Object` | `resolveMetaData(Object key)`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### BASE_EAR_DEPLOYMENT_NAME

    public static final String BASE_EAR_DEPLOYMENT_NAME

See Also:
  Constant Field Values

### EAR_DEPLOYMENT_QUERY_NAME

    public static final javax.management.ObjectName EAR_DEPLOYMENT_QUERY_NAME

Constructor Detail

### EARDeployment

    public EARDeployment(org.jboss.deployment.DeploymentInfo di)

Method Detail

### getJMXName

    public static String getJMXName(J2eeApplicationMetaData metaData,
                                    org.jboss.deployment.DeploymentInfo di)

### getJMXName

    public String getJMXName()
                      throws Exception

  Throws:
    `Exception`

### resolveMetaData

    public Object resolveMetaData(Object key)

  Specified by:
    `resolveMetaData` in interface `EARDeploymentMBean`

### addMetaData

    public void addMetaData(Object key,
                            Object value)

  Specified by:
    `addMetaData` in interface `EARDeploymentMBean`

### getMetaData

    public Map getMetaData()

  Specified by:
    `getMetaData` in interface `EARDeploymentMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.